Name: gnome-doc-utils
Version: 0.6.0
Release: alt1

Summary: Documentation utilities for GNOME
Group: Development/Other
License: GPL

%define pkgdocdir %_docdir/%name-%version

%define python_version 2.4
%define libxml_version 2.6.12
%define libxslt_version 1.1.8

Requires: %name-xslt = %version-%release
#Requires: python = %__python_version
Requires: libxml2 >= %libxml_version
Requires(post,postun): scrollkeeper

Source: %name-%version.tar.bz2

%add_python_compile_include %_datadir/xml2po

BuildArch: noarch

BuildPreReq: rpm-build-python

BuildRequires: common-licenses docbook-dtds libgpg-error libxml2-devel libxslt-devel perl-XML-Parser pkg-config python-base python-dev python-modules-compiler python-modules-encodings xml-common xml-utils xsltproc

BuildRequires: python-devel >= %python_version
BuildRequires: libxml2-devel >= %libxml_version
BuildRequires: libxslt-devel >= %libxslt_version

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project. It contains the DocBook XSLT stylesheets that were once
distributed with Yelp.

%package xslt
Summary: XSLT stylesheets for %name
Group: Development/Other
License: LGPL

%description xslt
XSLT stylesheets from the gnome-doc-utils collection.

%prep
%setup -q

%build
%configure --disable-scrollkeeper
%make_build

%install
%make_install DESTDIR=%buildroot pkgconfigdir=%_datadir/pkgconfig install
%find_lang --with-gnome --output=%name.lang gnome-doc-make gnome-doc-xslt

install -d -m755 %buildroot%pkgdocdir
install -p -m644 AUTHORS README NEWS COPYING %buildroot%pkgdocdir/
ln -s %_licensedir/GPL-2 %buildroot%pkgdocdir/COPYING.GPL
ln -s %_licensedir/LGPL-2.1 %buildroot%pkgdocdir/COPYING.LGPL

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %name.lang
%pkgdocdir/AUTHORS
%pkgdocdir/COPYING
%pkgdocdir/COPYING.GPL
%pkgdocdir/NEWS
%pkgdocdir/README
%_bindir/*
%_datadir/pkgconfig/*
%_datadir/aclocal/*
%_datadir/xml2po
%_datadir/%name
%_man1dir/*

%files xslt
%pkgdocdir/COPYING.LGPL
%_datadir/xml/gnome

%changelog
* Sat Apr 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.0-alt1
- Release 0.6.0

* Mon Feb 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.6-alt1
- Updated to 0.5.6
- Split off XSLT stylesheets due to license differencies

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.3-alt1.1
- Rebuilt for new pkg-config dependencies.

* Wed Oct 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Sat Sep 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.1-alt1
- Updated to 0.4.1
- Install the .pc file into architecture-neutral /usr/share/pkgconfig

* Tue Aug 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.3-alt1
- Updated to 0.3.3

* Thu Apr 07 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.0-alt1
- New upstream release

* Sun Mar 13 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.3-alt2
- Rebuilt with Python 2.4

* Wed Mar 09 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.3-alt1
- Updated to the latest upstream release

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.1-alt2
- Build requires rpm-build-python
- Require python 2.3 for correct generation of dependencies
- Added /usr/share/xml2po to python compile path

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.1-alt1
- Initial release for Sisyphus
